## org.apache.poi.hssf.record
Class LabelRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.LabelRecord

All Implemented Interfaces:
  CellValueRecordInterface

    public final class LabelRecord

extends Record
implements CellValueRecordInterface

Label Record (0x0204) - read only support for strings stored directly in the cell.. Don't use this (except to read), use LabelSST instead

REFERENCE: PG 325 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)
See Also:
  `LabelSSTRecord`

Field Summary
`static short` `sid`

Constructor Summary
`LabelRecord()` Creates new LabelRecord
`LabelRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`short` `getColumn()`
`int` `getRecordSize()` gives the current serialized size of the record.
`int` `getRow()`
`short` `getSid()` return the non static version of the id for this record.
`short` `getStringLength()` get the number of characters this string contains
`java.lang.String` `getValue()` get the value
`short` `getXFIndex()`
`boolean` `isUnCompressedUnicode()` is this uncompressed unicode (16bit)? Or just 8-bit compressed?
`int` `serialize(int offset, byte[] data)` THROWS A RUNTIME EXCEPTION..
`void` `setColumn(short col)` NO-OP!
`void` `setRow(int row)` NO-OP!
`void` `setXFIndex(short xf)` no op!
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### LabelRecord

    public LabelRecord()

  Creates new LabelRecord

### LabelRecord

    public LabelRecord(RecordInputStream in)

Parameters:
  `in` - the RecordInputstream to read the record from

Method Detail

### getRow

    public int getRow()

  Specified by:
    `getRow` in interface `CellValueRecordInterface`
  Returns:
    the row this cell occurs on

### getColumn

    public short getColumn()

  Specified by:
    `getColumn` in interface `CellValueRecordInterface`
  Returns:
    the column this cell defines within the row

### getXFIndex

    public short getXFIndex()

  Specified by:
    `getXFIndex` in interface `CellValueRecordInterface`

### getStringLength

    public short getStringLength()

  get the number of characters this string contains

  Returns:
    number of characters

### isUnCompressedUnicode

    public boolean isUnCompressedUnicode()

  is this uncompressed unicode (16bit)? Or just 8-bit compressed?

  Returns:
    isUnicode - True for 16bit- false for 8bit

### getValue

    public java.lang.String getValue()

  get the value

  Returns:
    the text string
  See Also:
    `getStringLength()`

### serialize

    public int serialize(int offset,
                         byte[] data)

  THROWS A RUNTIME EXCEPTION.. USE LABELSSTRecords. YOU HAVE NO REASON to use LABELRecord!!

  Specified by:
    `serialize` in class `RecordBase`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Description copied from class: `RecordBase`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Specified by:
    `getRecordSize` in class `RecordBase`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### setColumn

    public void setColumn(short col)

  NO-OP!

  Specified by:
    `setColumn` in interface `CellValueRecordInterface`
  Parameters:
    `col` - the column this cell defines

### setRow

    public void setRow(int row)

  NO-OP!

  Specified by:
    `setRow` in interface `CellValueRecordInterface`
  Parameters:
    `row` - the row this cell occurs within

### setXFIndex

    public void setXFIndex(short xf)

  no op!

  Specified by:
    `setXFIndex` in interface `CellValueRecordInterface`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.